cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

How to find component ID

Highlighted
Newbie

How to find component ID

Hello,
I am having assembly file with two component lets say x & y.Now I am loading the assemblyusing ProMdlLoad()then I want to process its components,but I can't use ProSelect. So I tried using ProModelitemByNameInit() which will give me ID in the form of ProModelitem.id,but it gives me "PRO_TK_E_NOT_FOUND".
I have used somthing like this -
result = ProMdlInit(x.prt,PRO_MDL_PART,&model);
result = ProModelitemByNameIni(model,PRO_PART,x.prt,&pMdlItem); //Here I get NOt found message
So now plese help me to get Component ID or issue with this method.

Thanks

1 REPLY 1

RE: How to find component ID

Hi all,

Rahul, please take a look at "Listing the Members of an Assembly" example in the "Visiting assembly components" chapter of Pro/Toolkit User Guide.

HIH

Feliks.


In Reply to Rahul M.:

Hello,
I am having assembly file with two component lets say x & y.Now I am loading the assemblyusing ProMdlLoad()then I want to process its components,but I can't use ProSelect. So I tried using ProModelitemByNameInit() which will give me ID in the form of ProModelitem.id,but it gives me "PRO_TK_E_NOT_FOUND".
I have used somthing like this -
result = ProMdlInit(x.prt,PRO_MDL_PART,&model);
result = ProModelitemByNameIni(model,PRO_PART,x.prt,&pMdlItem); //Here I get NOt found message
So now plese help me to get Component ID or issue with this method.

Thanks